listMeetingParticipants
curl --request POST \
--url https://connvo-dev.convex.cloud/api/run/meetings/queries/listMeetingParticipants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"meetingId": "meeting_123example"
}
}
'import requests
url = "https://connvo-dev.convex.cloud/api/run/meetings/queries/listMeetingParticipants"
payload = { "args": { "meetingId": "meeting_123example" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({args: {meetingId: 'meeting_123example'}})
};
fetch('https://connvo-dev.convex.cloud/api/run/meetings/queries/listMeetingParticipants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"errorMessage": "",
"errorData": {},
"value": [
{
"_id": "participant_123example",
"_creationTime": 1704063600000,
"meetingId": "meeting_123example",
"userId": "user_123example",
"role": "host",
"presence": "joined",
"joinedAt": 1704067200000,
"createdAt": 1704063600000,
"user": {
"_id": "user_123example",
"displayName": "Alice Johnson",
"avatarUrl": "https://example.com/avatars/alice.jpg"
},
"webrtcConnected": true,
"webrtcSessionCount": 1
},
{
"_id": "participant_456example",
"_creationTime": 1704063600000,
"meetingId": "meeting_123example",
"userId": "user_456example",
"role": "participant",
"presence": "joined",
"joinedAt": 1704067300000,
"createdAt": 1704063600000,
"user": {
"_id": "user_456example",
"displayName": "Bob Smith",
"avatarUrl": "https://example.com/avatars/bob.jpg"
},
"webrtcConnected": true,
"webrtcSessionCount": 1
}
]
}{}{}Meetings
listMeetingParticipants
and real-time WebRTC connection status. Requires the caller to be a participant in the meeting. Includes WebRTC session count and connection state for each participant.
POST
/
api
/
run
/
meetings
/
queries
/
listMeetingParticipants
listMeetingParticipants
Authorizations
Standard user authentication token issued via WorkOS. Provide as Authorization: Bearer <user-token>.
Body
application/json
Show child attributes
Show child attributes
⌘I